/**
 * (C) Tyler Montbriand, 2005
 * tsm@accesscomm.ca http://burningsmell.org
 *
 * Licensed under the GNU LGPL
 * http://www.gnu.org/copyleft/lesser.txt
 */
#include "SDL_types.h"
#include "SDL_mmap.h"

#define POINTER_BITS (sizeof(void *)*8)

mmap_t SDL_mmap_maxchunk()
{
  return(1L<<(POINTER_BITS-2));
}

const SDL_version *SDL_mmap_linked_version()
{
  static const SDL_version mmap_linked_version={
    SDL_MM_MAJOR,
    SDL_MM_MINOR,
    SDL_MM_PATCH };

  return(&mmap_linked_version);  
}

mmap_t SDL_mmap_pagealign(mmap_t value)
{
  Uint32 psize=SDL_mmap_pagesize();
  mmap_t extra=psize-(value%psize);
  if(extra<psize) value+=extra;
  return(value);
}
